[package - main-armv6-default][devel/rubygem-aws-crt] Failed for rubygem-aws-crt-0.1.6 in stage/runaway

From: <pkg-fallout_at_FreeBSD.org>
Date: Thu, 27 Oct 2022 11:26:26 UTC
You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     sunpoet@FreeBSD.org
Log URL:        http://beefy8.nyi.freebsd.org/data/main-armv6-default/p68f4aa31a716_se0c3f66b4d/logs/rubygem-aws-crt-0.1.6.log
Build URL:      http://beefy8.nyi.freebsd.org/build.html?mastername=main-armv6-default&build=p68f4aa31a716_se0c3f66b4d
Log:

=>> Building devel/rubygem-aws-crt
build started at Thu Oct 27 04:48:06 UTC 2022
port directory: /usr/ports/devel/rubygem-aws-crt
package name: rubygem-aws-crt-0.1.6
building for: FreeBSD main-armv6-default-job-04 14.0-CURRENT FreeBSD 14.0-CURRENT 1400073 arm
maintained by: sunpoet@FreeBSD.org
Makefile ident: 
Poudriere version: 3.2.8-21-g883afb07
Host OSVERSION: 1400063
Jail OSVERSION: 1400073
Job Id: 04




!!! Jail is newer than host. (Jail: 1400073, Host: 1400063) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/sh
UNAME_p=armv6
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
OSVERSION=1400073
UNAME_v=FreeBSD 14.0-CURRENT 1400073
UNAME_r=14.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
MM_CHARSET=UTF-8
LANG=C.UTF-8
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
QEMU_EMULATING=1
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-21-g883afb07
MASTERMNT=/usr/local/poudriere/data/.m/main-armv6-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/main-armv6-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=main-armv6-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/main-armv6-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---

--MAINTAINER--
sunpoet@FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PYTHON="/usr/local/bin/python3.9" XDG_DATA_HOME=/wrkdirs/usr/ports/devel/rubygem-aws-crt/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/rubygem-aws-crt/work  XDG_CACHE_HOME=/wrkdirs/usr/ports/devel/rubygem-aws-crt/work/.cache  HOME=/wrkdirs/usr/ports/devel/rubygem-aws-crt/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/devel/rubygem-aws-crt/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin PKG_CONFIG_LIBDIR=/wrkdirs/usr/ports/devel/rubygem-aws-crt/work/.pkgconfig:/usr/local/libdata/pkgconfig:/usr/local/share/pkgconfig:/usr/libdata/pkgconfig SHELL=/bin/sh CONFIG_SHELL=/bin/sh LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/devel/rubygem-aws-crt/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/devel/rubygem-aws-crt/work  XDG_CACHE_HOME=/wrkdirs/usr/ports/devel/rubygem-aws-crt/work/.cache  HOME=/wrkdirs/usr/ports/devel/rubygem-aws-crt/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/devel/rubygem-aws-crt/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin PKG_CONFIG_LIBDIR=/wrkdirs/usr/ports/devel/rubygem-aws-crt/work/.pkgconfig:/usr/local/libdata/pkgconfig:/usr/local/share/pkgconfig:/usr/libdata/pkgconfig NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 PREFIX=/usr/local  LOCALBASE=/usr/local  CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing "  CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector-strong " LIBS=""  CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -fstack-protector-strong -fno-strict-aliasing  "  MANPREFIX="/usr/local" BSD_INS
 TALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
RUBY_LIBDIR="lib/ruby/3.0" RUBY_ARCHLIBDIR="lib/ruby/3.0/armv6-freebsd14" RUBY_SITELIBDIR="lib/ruby/site_ruby/3.0" RUBY_SITEARCHLIBDIR="lib/ruby/site_ruby/3.0/armv6-freebsd14" RUBY_VENDORLIBDIR="lib/ruby/vendor_ruby/3.0" RUBY_VENDORARCHLIBDIR="lib/ruby/vendor_ruby/3.0/armv6-freebsd14" RUBY_MODDOCDIR="share/doc/ruby30/aws-crt" RUBY_MODEXAMPLESDIR="share/examples/ruby30/aws-crt" RUBY_DOCDIR="share/doc/ruby30" RUBY_EXAMPLESDIR="share/examples/ruby30" RUBY_RIDIR="share/ri/3.0/system" RUBY_SITERIDIR="share/ri/3.0/site"  RUBY_VERSION="3.0.4"  RUBY_VER="3.0"  RUBY_SHLIBVER="30"  RUBY_ARCH="armv6-freebsd14"  RUBY_SUFFIX="30"  RUBY_DEFAULT_SUFFIX="30" PORTVERSION="0.1.6"  REV=""  GEMS_BASE_DIR="lib/ruby/gems/3.0"  GEMS_DIR="lib/ruby/gems/3.0/gems"  DOC_DIR="lib/ruby/gems/3.0/doc"  CACHE_DIR="lib/ruby/gems/3.0/cache"  SPEC_DIR="lib/ruby/gems/3.0/specifications"  EXT_DIR="lib/ruby/gems/3.0/extensions"  PLUGINS_DIR="lib/ruby/gems/3.0/plugins"  GEM_NAME="aws-crt-0.1.6"  GEM_LIB_DIR="lib/ruby/gems
 /3.0/gems/aws-crt-0.1.6"  GEM_DOC_DIR="lib/ruby/gems/3.0/doc/aws-crt-0.1.6"  GEM_SPEC="lib/ruby/gems/3.0/specifications/aws-crt-0.1.6.gemspec"  GEM_CACHE="lib/ruby/gems/3.0/cache/aws-crt-0.1.6.gem"  EXTRACT_SUFX=".gem" PYTHON_INCLUDEDIR=include/python3.9  PYTHON_LIBDIR=lib/python3.9  PYTHON_PLATFORM=freebsd14  PYTHON_SITELIBDIR=lib/python3.9/site-packages  PYTHON_SUFFIX=39  PYTHON_EXT_SUFFIX=.cpython-39  PYTHON_VER=3.9  PYTHON_VERSION=python3.9 PYTHON2="@comment " PYTHON3="" OSREL=14.0 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/aws-crt"  EXAMPLESDIR="share/examples/aws-crt"  DATADIR="share/aws-crt"  WWWDIR="www/aws-crt"  ETCDIR="etc/aws-crt"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/aws-crt DOCSDIR=/usr/local/share/doc/aws-crt EXAMPLESDIR=/usr/local/share/examples/aws-crt  WWWDIR=/usr/local/www/aws-crt ETCDIR=/usr/local/etc/aws-crt
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=arm
MACHINE_ARCH=armv6
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_9d218390=FreeBSD clang version 14.0.5 (https://github.com/llvm/llvm-project.git llvmorg-14.0.5-0-gc12386ae247c) Target: armv6-unknown-freebsd14.0-gnueabihf Thread model: posix InstalledDir: /nxb-bin/usr/bin
_ALTCCVERSION_9d218390=none
_CXXINTERNAL_9c45a5b1=FreeBSD clang version 14.0.5 (https://github.com/llvm/llvm-project.git llvmorg-14.0.5-0-gc12386ae247c) Target: armv6-unknown-freebsd14.0-gnueabihf Thread model: posix InstalledDir: /nxb-bin/usr/bin "/nxb-bin/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_9d218390_58173849=yes
CC_OUTPUT_9d218390_9bdba57c=yes
CC_OUTPUT_9d218390_6a4fe7f5=yes
CC_OUTPUT_9d218390_6bcac02b=yes
CC_OUTPUT_9d218390_67d20829=yes
CC_OUTPUT_9d218390_bfa62e83=yes
CC_OUTPUT_9d218390_f0b4d593=yes
CC_OUTPUT_9d218390_308abb44=yes
CC_OUTPUT_9d218390_f00456e5=yes
CC_OUTPUT_9d218390_65ad290d=yes
CC_OUTPUT_9d218390_f2776b26=yes
CC_OUTPUT_9d218390_53255a77=yes
CC_OUTPUT_9d218390_911cfe02=yes
CC_OUTPUT_9d218390_b2657cc3=yes
CC_OUTPUT_9d218390_380987f7=yes
CC_OUTPUT_9d218390_160933ec=yes
CC_OUTPUT_9d218390_fb62803b=yes
CC_OUTPUT_9d218390_af59ad06=yes
CC_OUTPUT_9d218390_a15f3fcf=yes
_OBJC_CCVERSION_9d218390=FreeBSD clang version 14.0.5 (https://github.com/llvm/llvm-project.git llvmorg-14.0.5-0-gc12386ae247c) Target: armv6-unknown-freebsd14.0-gnueabihf Thread model: posix InstalledDir: /nxb-bin/usr/bin
_OBJC_ALTCCVERSION_9d218390=none
ARCH=armv6
OPSYS=FreeBSD
_OSRELEASE=14.0-CURRENT
OSREL=14.0
OSVERSION=1400073
PYTHONBASE=/usr/local
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License APACHE20 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   rubygem-aws-crt-0.1.6 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.18.4.pkg
[main-armv6-default-job-04] Installing pkg-1.18.4...
[main-armv6-default-job-04] Extracting pkg-1.18.4: .......... done
===>   rubygem-aws-crt-0.1.6 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of rubygem-aws-crt-0.1.6
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License APACHE20 accepted by the user
===> Fetching all distfiles required by rubygem-aws-crt-0.1.6 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License APACHE20 accepted by the user
===> Fetching all distfiles required by rubygem-aws-crt-0.1.6 for building
=> SHA256 Checksum OK for rubygem/aws-crt-0.1.6.gem.
===========================================================================
=======================<phase: extract-depends>============================
===>   rubygem-aws-crt-0.1.6 depends on file: /usr/local/bin/ruby30 - not found
===>   Installing existing package /packages/All/ruby-3.0.4_3,1.pkg
[main-armv6-default-job-04] Installing ruby-3.0.4_3,1...
[main-armv6-default-job-04] `-- Installing libedit-3.1.20210910,1...
[main-armv6-default-job-04] `-- Extracting libedit-3.1.20210910,1: .......... done
[main-armv6-default-job-04] `-- Installing libffi-3.4.3...
[main-armv6-default-job-04] |   `-- Installing indexinfo-0.3.1...
[main-armv6-default-job-04] |   `-- Extracting indexinfo-0.3.1: .... done
[main-armv6-default-job-04] `-- Extracting libffi-3.4.3: .......... done
[main-armv6-default-job-04] `-- Installing libyaml-0.2.5...
[main-armv6-default-job-04] `-- Extracting libyaml-0.2.5: ......... done
[main-armv6-default-job-04] Extracting ruby-3.0.4_3,1: .......... done
=====
Message from ruby-3.0.4_3,1:

--
Some of the standard commands and libraries are provided as separate
ports for ease of upgrading:

	devel/ruby-gems:		gem - RubyGems package manager
	devel/rubygem-erb:		erb - Templating system for Ruby
	devel/rubygem-irb:		irb - Interactive Ruby
	devel/rubygem-minitest:		minitest - Complete suite of testing facilities
	devel/rubygem-power_assert:	power_assert - Power Assert for Ruby
	devel/rubygem-rake:		rake - Ruby Make
	devel/rubygem-rbs:		rbs - Language for type signatures for Ruby and standard library definitions
	devel/rubygem-rdoc:		rdoc - Ruby Documentation System
	devel/rubygem-test-unit:	test-unit - Unit testing framework for Ruby
	devel/rubygem-typeprof:		typeprof - Type analysis tool for Ruby code
	sysutils/rubygem-bundler:	bundler - Tool that manages gem dependencies for ruby applications
	textproc/rubygem-rexml:		rexml - XML toolkit for Ruby
	www/rubygem-rss:		rss - Family of libraries that support various formats of XML "feeds"

And some of the standard libraries are provided as separate ports
since they require extra dependencies:

	databases/rubygem-dbm:	DBM module
	databases/rubygem-gdbm:	GDBM module

Install them as occasion demands.
===>   rubygem-aws-crt-0.1.6 depends on file: /usr/local/bin/ruby30 - found
===>   Returning to build of rubygem-aws-crt-0.1.6
===>   rubygem-aws-crt-0.1.6 depends on file: /usr/local/bin/gem - not found
===>   Installing existing package /packages/All/ruby30-gems-3.3.23.pkg
[main-armv6-default-job-04] Installing ruby30-gems-3.3.23...
[main-armv6-default-job-04] Extracting ruby30-gems-3.3.23: .......... done
===>   rubygem-aws-crt-0.1.6 depends on file: /usr/local/bin/gem - found
===>   Returning to build of rubygem-aws-crt-0.1.6
===========================================================================
=======================<phase: extract        >============================
===>  License APACHE20 accepted by the user
===> Fetching all distfiles required by rubygem-aws-crt-0.1.6 for building
===>  Extracting for rubygem-aws-crt-0.1.6
=> SHA256 Checksum OK for rubygem/aws-crt-0.1.6.gem.
Unpacked gem: '/wrkdirs/usr/ports/devel/rubygem-aws-crt/work/aws-crt-0.1.6'
===========================================================================
=======================<phase: patch-depends  >============================
===>   rubygem-aws-crt-0.1.6 depends on file: /usr/local/bin/ruby30 - found
===========================================================================
=======================<phase: patch          >============================
===>  Patching for rubygem-aws-crt-0.1.6
===>  Applying FreeBSD patches for rubygem-aws-crt-0.1.6 from /usr/ports/devel/rubygem-aws-crt/files
===========================================================================
=======================<phase: build-depends  >============================
===>   rubygem-aws-crt-0.1.6 depends on executable: cmake - not found
===>   Installing existing package /packages/All/cmake-core-3.24.0.pkg
[main-armv6-default-job-04] Installing cmake-core-3.24.0...
[main-armv6-default-job-04] `-- Installing curl-7.85.0...
[main-armv6-default-job-04] |   `-- Installing ca_root_nss-3.83...
[main-armv6-default-job-04] |   `-- Extracting ca_root_nss-3.83: .......... done
[main-armv6-default-job-04] |   `-- Installing libnghttp2-1.48.0...
[main-armv6-default-job-04] |   `-- Extracting libnghttp2-1.48.0: .......... done
[main-armv6-default-job-04] |   `-- Installing libpsl-0.21.1_6...
[main-armv6-default-job-04] |   | `-- Installing gettext-runtime-0.21...
[main-armv6-default-job-04] |   | `-- Extracting gettext-runtime-0.21: .......... done
[main-armv6-default-job-04] |   | `-- Installing libidn2-2.3.3_1...
[main-armv6-default-job-04] |   |   `-- Installing libunistring-1.1...
[main-armv6-default-job-04] |   |   `-- Extracting libunistring-1.1: .......... done
[main-armv6-default-job-04] |   | `-- Extracting libidn2-2.3.3_1: .......... done
[main-armv6-default-job-04] |   `-- Extracting libpsl-0.21.1_6: .......... done
[main-armv6-default-job-04] |   `-- Installing libssh2-1.10.0,3...
[main-armv6-default-job-04] |   `-- Extracting libssh2-1.10.0,3: .......... done
[main-armv6-default-job-04] `-- Extracting curl-7.85.0: .......... done
[main-armv6-default-job-04] `-- Installing expat-2.4.9...
[main-armv6-default-job-04] `-- Extracting expat-2.4.9: .......... done
[main-armv6-default-job-04] `-- Installing jsoncpp-1.9.5...
[main-armv6-default-job-04] `-- Extracting jsoncpp-1.9.5: .......... done
[main-armv6-default-job-04] `-- Installing libarchive-3.6.1,1...
[main-armv6-default-job-04] |   `-- Installing liblz4-1.9.4,1...
[main-armv6-default-job-04] |   `-- Extracting liblz4-1.9.4,1: .......... done
[main-armv6-default-job-04] |   `-- Installing zstd-1.5.2_1...
[main-armv6-default-job-04] |   `-- Extracting zstd-1.5.2_1: .......... done
[main-armv6-default-job-04] `-- Extracting libarchive-3.6.1,1: .......... done
[main-armv6-default-job-04] `-- Installing libuv-1.44.2...
[main-armv6-default-job-04] `-- Extracting libuv-1.44.2: .......... done
[main-armv6-default-job-04] `-- Installing rhash-1.4.3...
[main-armv6-default-job-04] `-- Extracting rhash-1.4.3: .......... done
[main-armv6-default-job-04] Extracting cmake-core-3.24.0: .......... done
=====
Message from ca_root_nss-3.83:

--
FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.


This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem
===>   rubygem-aws-crt-0.1.6 depends on executable: cmake - found
===>   Returning to build of rubygem-aws-crt-0.1.6
===>   rubygem-aws-crt-0.1.6 depends on file: /usr/local/bin/ruby30 - found
===>   rubygem-aws-crt-0.1.6 depends on file: /usr/local/bin/gem - found
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for rubygem-aws-crt-0.1.6
===========================================================================
=======================<phase: build          >============================
===>  Building for rubygem-aws-crt-0.1.6
  Successfully built RubyGem
  Name: aws-crt
  Version: 0.1.6
  File: aws-crt-0.1.6.gem
===========================================================================
=======================<phase: run-depends    >============================
===>   rubygem-aws-crt-0.1.6 depends on package: rubygem-ffi>=0 - not found
===>   Installing existing package /packages/All/rubygem-ffi-1.15.5_1.pkg
[main-armv6-default-job-04] Installing rubygem-ffi-1.15.5_1...
[main-armv6-default-job-04] Extracting rubygem-ffi-1.15.5_1: .......... done
===>   rubygem-aws-crt-0.1.6 depends on package: rubygem-ffi>=0 - found
===>   Returning to build of rubygem-aws-crt-0.1.6
===>   rubygem-aws-crt-0.1.6 depends on file: /usr/local/bin/ruby30 - found
===>   rubygem-aws-crt-0.1.6 depends on file: /usr/local/bin/gem - found
===========================================================================
=======================<phase: stage          >============================
===>  Staging for rubygem-aws-crt-0.1.6
===>   Generating temporary packing list
(cd /wrkdirs/usr/ports/devel/rubygem-aws-crt/work/aws-crt-0.1.6; /usr/bin/env RB_USER_INSTALL=yes LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 /usr/local/bin/gem install -l --no-update-sources --install-dir /wrkdirs/usr/ports/devel/rubygem-aws-crt/work/stage/usr/local/lib/ruby/gems/3.0 --ignore-dependencies --bindir=/wrkdirs/usr/ports/devel/rubygem-aws-crt/work/stage/usr/local/bin --no-document aws-crt-0.1.6.gem -- )
Building native extensions. This could take a while...
=>> Killing runaway build after 21600 seconds with no output